// CONFIG.H - Headerfile for CONFIG.C
// Written by Stefan Pfeiffer, DL1ELY, 940809
// Last modification: 940913
// (C) 1994 by Stefan Pfeiffer, DL1ELY

#ifndef CONFIG_H

#define CONFIG_H

extern char *cfg_line[256];     // Maximal 256 Zeilen (ohne Kommentare)
extern unsigned char cfg_count; // Anzahl der eingelesenen Zeilen

// Liest ein ASCII-Config-File in den internen Buffer
unsigned char read_config(char *);
// Gibt den internen Buffer frei
void free_config(void);
// Gibt einen String zurück, NULL falls nicht gefunden
char *get_str(char *);
// Gibt einen BOOL-Wert zurück
int get_bool(char *,int);
// Gibt einen unsigned int-Wert zurück
unsigned int get_int(char *,unsigned int);
// Gibt eine Farbnummer zurück
unsigned char get_color(char *,unsigned char);

#endif
                               
